#ifndef _FILTER_H
#define FILTER_H

/* The match types */
#define FILTER_MATCH_CLASS     0
#define FILTER_MATCH_PACKAGE   1
#define FILTER_MATCH_RECURSIVE 2
#define FILTER_MATCH_ALL       3

/* Returns true if the given classname is matched by the filter */
int filter_class_name (const char *classname);

/* Set the filter. 
 * @param filtertype one of FILTER_MATCH_*
 * @param filter the string to filter on ("rabbit.proxy").
 */
void filter_set_filter (int filtertype, const char *filter);

/* Returns the current filter string. */
char* get_filter ();

/** Returns the current filter type. */
int get_filter_type ();

#endif /* FILTER_H */

/* Emacs Local Variables: */
/* Emacs mode:C */
/* Emacs c-indentation-style:"gnu" */
/* Emacs c-hanging-braces-alist:((brace-list-open)(brace-entry-open)(defun-open after)(substatement-open after)(block-close . c-snug-do-while)(extern-lang-open after)) */
/* Emacs c-cleanup-list:(brace-else-brace brace-elseif-brace space-before-funcall) */
/* Emacs c-basic-offset:4 */
/* Emacs End: */
